<!-- Header -->
<h1> Report detail </h1>

<!-- Report detail -->
<div *ngIf="report">

  <!-- Report header -->
  <label>Date:</label> {{report.date.seconds*1000 | date: 'dd/MM/yyyy' }} <br><br>
  <label>By:</label> {{report.username}} <br><br>
  <label>Header:</label> {{report.header}} <br><br>

  <!-- Statements -->
  <div *ngIf="report.airTemp != null">
    Inside air temperature: {{report.airTemp}}°C <br><br>
  </div>

  <div *ngIf="report.airHumidity != null">
  Inside air humidity: {{report.airHumidity}}% <br><br>
  </div>

  <div *ngIf="report.outsideAirTemp != null">
  Outside air temperature: {{report.outsideAirTemp}}°C <br><br>
  </div>

  <div *ngIf="report.outsideAirHumidity != null">
  Outside air humidity: {{report.outsideAirHumidity}}% <br><br>
  </div>

  <div *ngIf="report.waterTemp != null">
  Water temperature: {{report.waterTemp}}°C <br><br>
  </div>

  <div *ngIf="report.waterPH != null">
  Water PH: {{report.waterPH}} <br><br>
  </div>

  <div *ngIf="report.waterConductivity != null">
  Water conductivity: {{report.waterConductivity}} <br><br>
  </div>

  <div *ngIf="report.waterOximeter != null">
  Water oximeter: {{report.waterOximeter}} <br><br>
  </div>
  

  <!-- Comment -->
  <div *ngIf="report.comment != null">
    Comment: {{report.comment}} <br><br>
  </div>

  <br> 
  
  <!-- Tasks -->
  <ul>
    <li *ngIf="report.water != null && report.water != false">
      Water filled <br><br>
    </li>

    <li *ngIf="report.fertilizer != null && report.fertilizer != false">
      Fertilize added <br><br>
    </li>

    <li *ngIf="report.fishies != null && report.fishies != false">
      Fishies feeded <br><br>
    </li>

  </ul>

</div>

